Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000234bareos-core[All Projects] installer / packagespublic2013-10-12 16:442015-03-25 19:18
Reporterpstorz 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformWindows 7OSWindowsOS Version7
Product Version12.4.5 
Target Version12.4.6Fixed in Version12.4.6 
Summary0000234: Do not offer upgrade if existing version cannot keep cfg on silent uninstall
DescriptionOld versions before 12.4.5 cannot keep config files when silenly uninstalling.
So do not offer upgrade there.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000721)
mvwieringen (developer)
2013-11-08 17:01

Fix committed to bareos bareos-13.2 branch with changesetid 1320.
(0000722)
mvwieringen (developer)
2013-11-08 17:01

Fix committed to bareos bareos-12.4 branch with changesetid 1321.
(0000723)
mvwieringen (developer)
2013-11-08 17:01

Fix committed to bareos master branch with changesetid 1322.
(0001357)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 4992.
(0001513)
joergs (administrator)
2015-03-25 19:18

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: bareos-13.2 fd56e360
Timestamp: 2013-10-11 15:10:10
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Do not offer upgrade if existing version cannot keep cfg on silent uninstall

Old versions before 12.4.5 cannot keep config files when silenly uninstalling.
So do not offer upgrade there.

Fixes 0000234: Do not offer upgrade if existing version cannot keep cfg on silent uninstall
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos: bareos-12.4 e6b2b878
Timestamp: 2013-10-11 15:10:10
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Do not offer upgrade if existing version cannot keep cfg on silent uninstall

Old versions before 12.4.5 cannot keep config files when silenly uninstalling.
So do not offer upgrade there.

Fixes 0000234: Do not offer upgrade if existing version cannot keep cfg on silent uninstall
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos: master cea71965
Timestamp: 2013-10-11 15:10:10
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Do not offer upgrade if existing version cannot keep cfg on silent uninstall

Old versions before 12.4.5 cannot keep config files when silenly uninstalling.
So do not offer upgrade there.

Fixes 0000234: Do not offer upgrade if existing version cannot keep cfg on silent uninstall
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos2015: bareos-12.4 cd0ee032
Timestamp: 2013-10-11 17:10:10
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Do not offer upgrade if existing version cannot keep cfg on silent uninstall

Old versions before 12.4.5 cannot keep config files when silenly uninstalling.
So do not offer upgrade there.

Fixes 0000234: Do not offer upgrade if existing version cannot keep cfg on silent uninstall
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos2015: bareos-13.2 5fee847f
Timestamp: 2013-10-11 17:10:10
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Do not offer upgrade if existing version cannot keep cfg on silent uninstall

Old versions before 12.4.5 cannot keep config files when silenly uninstalling.
So do not offer upgrade there.

Fixes 0000234: Do not offer upgrade if existing version cannot keep cfg on silent uninstall
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos2015: bareos-14.2 3505f3bc
Timestamp: 2013-10-11 17:10:10
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Do not offer upgrade if existing version cannot keep cfg on silent uninstall

Old versions before 12.4.5 cannot keep config files when silenly uninstalling.
So do not offer upgrade there.

Fixes 0000234: Do not offer upgrade if existing version cannot keep cfg on silent uninstall
mod - platforms/win32/winbareos.nsi Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-12 16:44 pstorz New Issue
2013-10-12 16:48 pstorz Severity minor => feature
2013-10-13 16:57 mvwieringen Assigned To => pstorz
2013-10-13 16:57 mvwieringen Status new => assigned
2013-10-13 16:57 mvwieringen Summary win installer: do not offer upgrade if existing version cannot keep cfg on silent uninstall => Do not offer upgrade if existing version cannot keep cfg on silent uninstall
2013-10-13 16:57 mvwieringen Description Updated View Revisions
2013-11-08 17:01 mvwieringen Changeset attached => bareos bareos-13.2 fd56e360
2013-11-08 17:01 mvwieringen Note Added: 0000721
2013-11-08 17:01 mvwieringen Assigned To pstorz => mvwieringen
2013-11-08 17:01 mvwieringen Status assigned => resolved
2013-11-08 17:01 mvwieringen Resolution open => fixed
2013-11-08 17:01 mvwieringen Changeset attached => bareos bareos-12.4 e6b2b878
2013-11-08 17:01 mvwieringen Note Added: 0000722
2013-11-08 17:01 mvwieringen Changeset attached => bareos master cea71965
2013-11-08 17:01 mvwieringen Note Added: 0000723
2013-11-16 15:31 mvwieringen Status resolved => closed
2013-11-16 15:31 mvwieringen Assigned To mvwieringen =>
2013-11-16 15:35 mvwieringen adm Product Version 13.2.2 => 12.4.5
2013-11-16 15:35 mvwieringen adm Fixed in Version => 12.4.6
2013-11-16 15:35 mvwieringen adm Target Version => 12.4.6
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 cd0ee032
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 5fee847f
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 3505f3bc
2015-03-25 16:51 mvwieringen Note Added: 0001357
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001513
2015-03-25 19:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker